ReadManager
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.contentmanager.oaiplugin.delegates
Class ReadManager

    java.lang.Object
      ReadDelegate
          org.gcube.contentmanagement.contentmanager.oaiplugin.delegates.ReadManager

Direct Known Subclasses:
  ReadManagerEntireRepository, ReadManagerFromListOfSets, ReadManagerSet

    public abstract class ReadManager

extends ReadDelegate

Author:
  Lucio Lelii (lucio.lelii@isti.cnr.it)

Constructor Summary
`ReadManager(java.lang.String repositoryURI, MetadataFormat metadataFormat, java.lang.String contentXpath, java.lang.String[] alternativesXPath)`

Method Summary
`UpdatePair` | `computeUpdate()`
`GDoc` | `extractDoc(uiuc.oai.OAIRecord record, Predicate projection)` extracts a doc from an OAI record
`java.util.Iterator<GDoc>` | `get(java.util.Iterator<java.lang.String> iterator, Predicate projection)`
`abstract` | `get(Predicate projection)`
`abstract GDoc` | `get(java.lang.String id)`
`GDoc` | `get(java.lang.String id, Predicate projection)`
`MetadataFormat` | `getDefaultMdFormat()`
`uiuc.oai.OAIRepository` | `getOAIHarvester()`
`java.lang.String` | `getTitleNameXPath()`
`void` | `setDefaultMdFormat(MetadataFormat defaultMdFormat)`
`void` | `setTitleNameXPath(java.lang.String titleNameXPath)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadManager

    public ReadManager(java.lang.String repositoryURI,
                       MetadataFormat metadataFormat,
                       java.lang.String contentXpath,
                       java.lang.String[] alternativesXPath)

Method Detail

### getTitleNameXPath

    public java.lang.String getTitleNameXPath()

### setTitleNameXPath

    public void setTitleNameXPath(java.lang.String titleNameXPath)

### getOAIHarvester

    public uiuc.oai.OAIRepository getOAIHarvester()

### get

    public java.util.Iterator<GDoc> get(java.util.Iterator<java.lang.String> iterator,
                                        Predicate projection)
                                 throws java.lang.Exception,
                                        GCUBEException

  Throws:
    `java.lang.Exception`
    `GCUBEException`

### get

    public abstract  get(Predicate projection)
                       throws java.lang.Exception,
                              GCUBEException

  Throws:
    `java.lang.Exception`
    `GCUBEException`

### computeUpdate

    public UpdatePair computeUpdate()
                             throws java.lang.Exception

  Returns:
  Throws:
    `java.lang.Exception`

### get

    public GDoc get(java.lang.String id,
                    Predicate projection)
             throws java.lang.Exception,
                    GCUBEException

  Throws:
    `java.lang.Exception`
    `GCUBEException`

### getDefaultMdFormat

    public MetadataFormat getDefaultMdFormat()

  Returns:

### setDefaultMdFormat

    public void setDefaultMdFormat(MetadataFormat defaultMdFormat)

### get

    public abstract GDoc get(java.lang.String id)
                      throws java.lang.Exception

  Parameters:
    `id` -
  Returns:
  Throws:
    `java.lang.Exception`

### extractDoc

    public GDoc extractDoc(uiuc.oai.OAIRecord record,
                           Predicate projection)
                    throws java.lang.Exception

  extracts a doc from an OAI record

  Parameters:
    `record` -
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD